Package web2py :: Package gluon :: Module portalocker

[hide private]
[frames] | no frames]

# Module portalocker

source code

    Cross-platform (posix/nt) API for flock-style file locking.

    Synopsis:

       import portalocker
       file = open("somefile", "r+")
       portalocker.lock(file, portalocker.LOCK_EX)
       file.seek(12)
       file.write("foo")
       file.close()

    If you know what you're doing, you may choose to

       portalocker.unlock(file)

    before closing the file, but why?

    Methods:

       lock( file, flags )
       unlock( file )

    Constants:

       LOCK_EX
       LOCK_SH
       LOCK_NB

    I learned the win32 technique for locking files from sample code
    provided by John Nielsen <nielsenjf@my-deja.com> in the documentation
    that accompanies the win32 modules.

    Author: Jonathan Feinberg <jdf@pobox.com>
    Version: $Id: portalocker.py,v 1.3 2001/05/29 18:47:55 Administrator Exp $

Classes | [hide private]

| LockedFile

Functions | [hide private]

lock(file, flags) | source code

unlock(file) | source code

Variables | [hide private]

| logger = `logging.getLogger("web2py")`
| os_locking = ``'``posix``'``
| __overlapped = `pywintypes.OVERLAPPED()`
| LOCK_EX = `<web2py.gluon.custom_import._Web2pyImporter object a`...`` PyMySQL: A pure-Python drop-in replacement for MySQLdb.
| LOCK_SH = `<web2py.gluon.custom_import._Web2pyImporter object a`...`` PyMySQL: A pure-Python drop-in replacement for MySQLdb.
| LOCK_NB = `<web2py.gluon.custom_import._Web2pyImporter object a`...`` PyMySQL: A pure-Python drop-in replacement for MySQLdb.

Variables Details | [hide private]

### LOCK_EX

PyMySQL: A pure-Python drop-in replacement for MySQLdb.

Copyright (c) 2010 PyMySQL contributors

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Value:

      global_settings.applications_parent

### LOCK_SH

PyMySQL: A pure-Python drop-in replacement for MySQLdb.

Copyright (c) 2010 PyMySQL contributors

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Value:

      global_settings.applications_parent

### LOCK_NB

PyMySQL: A pure-Python drop-in replacement for MySQLdb.

Copyright (c) 2010 PyMySQL contributors

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Value:

      global_settings.applications_parent